Skip to main content
`Ctrl`+`K`

# DMStagGetStencilType

get elementwise ghost/halo stencil type

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagGetStencilType(DM dm, DMStagStencilType *stencilType)

Not Collective

## Input Parameter

- dm - the `DMSTAG` object

## Output Parameter

- stencilType - the elementwise ghost stencil type: `DMSTAG_STENCIL_BOX`, `DMSTAG_STENCIL_STAR`, or `DMSTAG_STENCIL_NONE`

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagSetStencilType()`, `DMStagGetStencilWidth`, `DMStagStencilType`

## Level

beginner

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages